<?php
/*
Plugin Name: Javascript Library Loader
Description: This plugin will add a link to any number of the popular Javascript libraries. 
Version: 1.0
Author: Honza Pokorny
Author URI: http://www.honzapokorny.com/
*/

/* Variables */

global $wpdb;

$linkplacement = get_option('js_lib_loader_placement');
// $table_name = $wpdb->prefix . "js_lib_loader";


/* All hooks */

if ($linkplacement == "top") {
    add_action('wp_head', 'js_lib_loader');
    
} else {
    add_action('wp_footer', 'js_lib_loader');
}


add_action('admin_menu', 'ma_add_pages');
register_activation_hook(__FILE__,'js_lib_loader_install');


/* Functions */

function ma_add_pages() {
    add_options_page('JavaScript Libraries Loader', 'JavaScript Libraries Loader', 8, 'jslib', 'stranka');
}

function js_lib_loader_install () {
   global $wpdb;
   $table_name = $wpdb->prefix . "js_lib_loader";
  
   

    if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
      
      $sql = "CREATE TABLE " . $table_name . " (
	  id int(1) NOT NULL AUTO_INCREMENT,
	  lib_name longtext NOT NULL,
	  lib_link longtext NOT NULL,
	  lib_active int(1) NOT NULL,
	  UNIQUE KEY id (id)
	);";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);

      

   }
   
   add_option("js_lib_loader_placement", "top");
      add_option("js_lib_loader_active", "inactive");
   
   /* Fill the database with library information  */
   
   $abc = "jQuery";
   $link = "http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js";
   $cislo = "0";
   
   
   $jquery = $wpdb->query("INSERT INTO $table_name(lib_name, lib_link, lib_active) VALUES('$abc', '$link', '$cislo')");
   $jqueryui = $wpdb->query("INSERT INTO $table_name(lib_name, lib_link, lib_active) VALUES('jQuery UI 1.7.1', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.1/jquery-ui.min.js', '0')");
   $prototype = $wpdb->query("INSERT INTO $table_name(lib_name, lib_link, lib_active) VALUES('prototype 1.6.0.3', 'http://ajax.googleapis.com/ajax/libs/prototype/1.6.0.3/prototype.js', '0')");
   $scriptaculous = $wpdb->query("INSERT INTO $table_name(lib_name, lib_link, lib_active) VALUES('script.aculo.us 1.8.2', 'http://ajax.googleapis.com/ajax/libs/scriptaculous/1.8.2/scriptaculous.js', '0')");
   $mootools = $wpdb->query("INSERT INTO $table_name(lib_name, lib_link, lib_active) VALUES('mootools 1.2.2', 'http://ajax.googleapis.com/ajax/libs/mootools/1.2.2/mootools-yui-compressed.js', '0')");
   $dojo = $wpdb->query("INSERT INTO $table_name(lib_name, lib_link, lib_active) VALUES('dojo 1.3.1', 'http://ajax.googleapis.com/ajax/libs/dojo/1.3.1/dojo/dojo.xd.js', '0')");
   
   
}

function js_lib_loader(){
    global $wpdb;
    $table_name = $wpdb->prefix . "js_lib_loader";
    
    
    $status = get_option('js_lib_loader_active');
    
    if ($status == "inactive") {
        
    } else {
        
        $libraries = $wpdb->get_results("SELECT lib_link FROM $table_name WHERE lib_active='1'", ARRAY_A);
        
        if ($libraries) {
            
            foreach ($libraries as $library) {
                ?>
                <script type="text/javascript" src="<?php echo $library['lib_link']; ?>"></script>
                
                <?php 
            }
            
            
        }
        
        
        
        
    }



}


function stranka(){
    include('js-lib-options.php');
    
    
}


?>